WHAM(1)

NAME
wham - Wisconsin's High-Throughput Alignment Method

DESCRIPTION

  Usage:

    wham [options]* {<readfile> | -1 <m1file> -2 <m2file>} <basepath> <output> <readfile> comma-separated list of files containing unpaired reads <m1file> comma-separated list of files containing upstream mates <m2file> comma-separated list of files containing downstream mates <basepath> write wham data to files with this dir/basename <output> file to write alignments to

  Input options:

-l <int>
    use first <int> bases in each read

  Alignment options:

-v <int>
    specify the max number of errors in a reported alignment.

-g/--gap <int>
    specify the max number of gaps in a reported alignment.

-e/--maqerr <int>
    max sum of mismatch quals across alignment

--nofw/--norc
    do not align to forward/reverse-complement ref strand

--nofr/--norf
    do not align to mate1/mate2 strand: fw/rev, rev/fw.

-I/--minins <int>
    minimum insert size for paired-end alignment (default: 0).

-X/--maxins <int>
    maximum insert size for paired-end alignment (default: 250).

  Reporting options:

-k <int>
    report up to <int> valid alignemtns per read (default: 1).

-a/--all
    report all valid alignments per read.

--best
    reprot valid alignments in a sorted order of quality.

-m <int>
    discard reads with more than <int> valid alignmetns.

  Output options:

-S/--sam
    write alignment in SAM format

--al <fname>
    write aligned reads/pairs to file(s) <fname>

--un <fname>
    write unaligned reads/pairs to file(s) <fname>

  Performance options:

-t <int>
    specify the number of threads

--nocat
    do not concatenate results from various threads

--step <int>
    specify the number of indexes that fit into memory.

  Other options:

--version
    print version information

-h/--help
    print this usage message

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.